package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.JcxxJdxx;

/**
 * 基础信息-井队设置Service接口
 * 
 * @author ruoyi
 * @date 2025-11-28
 */
public interface IJcxxJdxxService 
{
    /**
     * 查询基础信息-井队设置
     * 
     * @param id 基础信息-井队设置主键
     * @return 基础信息-井队设置
     */
    public JcxxJdxx selectJcxxJdxxById(Long id);

    /**
     * 查询基础信息-井队设置列表
     * 
     * @param jcxxJdxx 基础信息-井队设置
     * @return 基础信息-井队设置集合
     */
    public List<JcxxJdxx> selectJcxxJdxxList(JcxxJdxx jcxxJdxx);

    /**
     * 新增基础信息-井队设置
     * 
     * @param jcxxJdxx 基础信息-井队设置
     * @return 结果
     */
    public int insertJcxxJdxx(JcxxJdxx jcxxJdxx);

    /**
     * 修改基础信息-井队设置
     * 
     * @param jcxxJdxx 基础信息-井队设置
     * @return 结果
     */
    public int updateJcxxJdxx(JcxxJdxx jcxxJdxx);

    /**
     * 批量删除基础信息-井队设置
     * 
     * @param ids 需要删除的基础信息-井队设置主键集合
     * @return 结果
     */
    public int deleteJcxxJdxxByIds(Long[] ids);

    /**
     * 删除基础信息-井队设置信息
     * 
     * @param id 基础信息-井队设置主键
     * @return 结果
     */
    public int deleteJcxxJdxxById(Long id);
}
